const THREE = require('three');
const SeedRandom = require('seedrandom');

function atomColor(name, x) {
    
    // Get a pseudo-random value for the color that is always the same for the same value of name and x.
    let seed = '' + name;
    seed += x;

    let rng = new SeedRandom(seed);
    let value = rng();
    
    return new THREE.Color().setHSL(value, 1, 0.75);
}

module.exports = atomColor;