class Savable {
    constructor() {
        if (this.constructor === Savable) {
            throw new Error("Can't instantiate abstract class!");
        }
    }

    save(saver) {
        throw new Error("Can't call abstract method!");
    }

    restore(saver) {
        throw new Error("Can't call abstract method!");
    }
}

module.exports = Savable;